Uan To Employment History V2
curl --request GET \
--url https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738342015371,
"transaction_id": "a00ad6a679d549d6bd002afdf2b226c0",
"sub_code": "SUCCESS",
"message": "Employment History fetched successfully",
"data": {
"pdf_url": null,
"employment_history": [
{
"name": "TAHIR AHMED CHOUDHURY",
"guardian_name": "JOBUR AHMED CHOUDHURY",
"establishment_name": "MODERN VEER RAYS SECURITY FORCE (INDIA) PVT LTD",
"member_id": "BGBNG00420230000027886",
"date_of_joining": "2024-04-12",
"date_of_exit": null,
"last_pf_submitted": "2025-01-15"
}
]
}
}EPFO
UAN To Employment History - V2
API to fetch the Employment History of the user linked with the UAN number.
GET
/
v2
/
verification
/
epfo
/
uan-to-employment-history
Uan To Employment History V2
curl --request GET \
--url https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v2/verification/epfo/uan-to-employment-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738342015371,
"transaction_id": "a00ad6a679d549d6bd002afdf2b226c0",
"sub_code": "SUCCESS",
"message": "Employment History fetched successfully",
"data": {
"pdf_url": null,
"employment_history": [
{
"name": "TAHIR AHMED CHOUDHURY",
"guardian_name": "JOBUR AHMED CHOUDHURY",
"establishment_name": "MODERN VEER RAYS SECURITY FORCE (INDIA) PVT LTD",
"member_id": "BGBNG00420230000027886",
"date_of_joining": "2024-04-12",
"date_of_exit": null,
"last_pf_submitted": "2025-01-15"
}
]
}
}What’s New in v2?
⚙️ Better Uptime: We’ve made backend enhancements to ensure more consistent availability. 🔗 Reduced Source Failures: Improved handling of upstream dependencies for smoother performance. 📅 Date of Exit: Get clearer employment histories with the newly added date_of_exit field in each record.Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
True or False, depending upon whether pdf needs to be generated or not.